
<%#= simple_form_for_horizontal @search_custom_field, url: rcas_search_path, method: :patch, local: true do |f| %>
<%#= simple_form_for_horizontal @search_custom_field, url: rcas_path, method: :patch, local: true do |f| %>
<%= simple_form_for @rca_search, url: rcas_path, method: :patch, local: true do |rca_form| %>

  <div class="row">
    <!-- RCA Fields -->
    <%#= simple_fields_for :rca_search, @rca_search do |rca_form| %>
      <div class="col-lg-4 col-sm-6">
        <%= rca_form.input :reference, wrapper: :horizontal_form, label: t('activerecord.attributes.rca.reference') %>
        <%= rca_form.input :words, label: t('.words') %>
        <div class="row">
          <div class="col-6">
            <%= rca_form.input :words_type,  as: :check_boxes, collection: [[t('.words_title'), '1'],
                                                                            [t('.words_action'), '2'],
                                                                            [t('.words_cause'), '3']],
                                             label: t('.words_search') %>
          </div>
          <div class="col-6">
            <%= rca_form.input :words_one, as: :radio_buttons, collection: [[t('.words_all'), false],
                                                                            [t('.words_one'), true]],
                                           label: '' %>
          </div>
        </div>
      </div>
      <div class="col-lg-4 col-sm-6">
        <%= rca_form.input :date_begin, as: :date, html5: true, wrapper: :horizontal_form, label: t('.created_after') %>
        <%= rca_form.input :date_end, as: :date, html5: true, wrapper: :horizontal_form, label: t('.created_before') %>
        <div class="row">
          <div class="col-6">
            <div class="form-group">
              <%= rca_form.label :person_id, label: t('.person'), class: 'select' %>
              <!-- TODO: Begin/rescue a été ajouté par sécurité. Le champs rcasearch/person_id est supprimé lors de la suppression de la personne (people_controller/destroy) -->
              <% person = begin
                            @rca_search.person_id && @rca_search.person_id != '0' ? Person.find(@rca_search.person_id) : nil
                          rescue
                            nil
                          end %>
              <%= helper_person_choose(person, 'rca_search', 'person') %>
            </div>
          </div>
          <div class="col-6">
            <%= rca_form.input :person_role, collection: Profil.all.collect {|r| [r.name, r.id.to_s]},
                                             label: t('.person_role') %>
          </div>
        </div>
      </div>
      <div class="col-lg-4 col-sm-6">
        <div class="row">
          <div class="col-6">
            <%= rca_form.input :status_adv,  as: :radio_buttons, collection: [[t('.status_all'), '1'],
                                                                              [t('.status_progress'), '2'],
                                                                              [t('.status_closed'), '3']],
                                             # item_label_class: "radio-inline", item_wrapper_tag: false,
                                             label: t('.status') %>
          </div>
          <div class="col-6">
            <%= rca_form.input :adv_duration,  as: :integer,
                                             label: t('.adv_duration') %>
          </div>
        </div>
        <%= rca_form.input :methodology,  as: :check_boxes, collection: (Meth::Methodology.where(locked: 0).collect {|m| [m.name,m.id.to_s]}),
                                          label: t('.methodology') %>
      </div>
    <%# end %>
  </div>
  <hr>
  <div class="row">
    <!-- CustomField Fields -->
    <%= simple_fields_for :custom_field, @search_custom_field do |cf_form| %>
      <% CustomField.content_columns.each do |col| %>
        <% cfd = Meth::CustomFieldDesc.where(internal_name: col.name).first %>
        <% if cfd && cfd.show_search %>
          <div class="col-lg-4 col-sm-6">
            <%= input_custom_field(cf_form, @search_custom_field, cfd, search_form: true) %>
          </div>
        <% else %>
          <%#= "DO NOT FIND CUSTOM FIELD DESC FOR #{col.name}" %>
        <% end %>
      <% end %>
    <% end %>
  </div>

  <hr>

  <%= hidden_field_tag 'items', @items %>

  <%= rca_form.submit t('.search'), class: 'btn btn-outline-warning' %>
  <%= link_to t('.reinit_filters'), rcas_reinit_filters_path(items: @items), method: :get, remote: true, class: 'btn btn-outline-dark' %>
  <%= link_to t('.show_all'), rcas_reinit_filters_index_path(items: @items), method: :patch, class: 'btn btn-outline-dark' %>
<% end %>
